Plextools 2.25 unable to upgrade to any other version

I get this error message no matter to what version i try to upgrade, although i have Plextools (2.25) installed and running flawlessly. Needless to say, i shut the app down before trying to install (although i also tried to install, when it was running later on). Anybody had this problem? What to do?

Sorry:
I’ll search in advance next time!

http://club.cdfreaks.com/showthread.php?t=136734&highlight=plextools+upgrade